# OpalZrtp_UDP Class Reference

`#include <zrtpudp.h>`

Inheritance diagram for OpalZrtp_UDP:

List of all members.

## Public Member Functions

| OpalZrtp_UDP (const PString &encoding, bool audio, unsigned id, PBoolean remoteIsNAT)
virtual | ~OpalZrtp_UDP ()
virtual PBoolean | WriteZrtpData (RTP_DataFrame &frame)
virtual SendReceiveStatus | OnSendData (RTP_DataFrame &frame)
virtual SendReceiveStatus | OnReceiveData (RTP_DataFrame &frame)
virtual SendReceiveStatus | OnSendControl (RTP_ControlFrame &frame, PINDEX &len)
virtual SendReceiveStatus | OnReceiveControl (RTP_ControlFrame &frame)
virtual DWORD | GetOutgoingSSRC ()

## Public Attributes

zrtp_stream_ctx_t * | zrtpStream

## Constructor & Destructor Documentation

OpalZrtp_UDP::OpalZrtp_UDP | ( | const PString & | encoding,
|  | bool | audio,
|  | unsigned | id,
|  | PBoolean | remoteIsNAT |
| ) |  |  |

Parameters:

  encoding | identifies initial RTP encoding (RTP/AVP, UDPTL etc)
  audio | is audio RTP data
  id | Session ID for RTP channel
  remoteIsNAT | TRUE is remote is behind NAT

virtual OpalZrtp_UDP::~OpalZrtp_UDP | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual PBoolean OpalZrtp_UDP::WriteZrtpData | ( | RTP_DataFrame & | frame | ) | `[virtual]`

virtual SendReceiveStatus OpalZrtp_UDP::OnSendData | ( | RTP_DataFrame & | frame | ) | `[virtual]`

Reimplemented from RTP_Session.

virtual SendReceiveStatus OpalZrtp_UDP::OnReceiveData | ( | RTP_DataFrame & | frame | ) | `[virtual]`

Reimplemented from RTP_Session.

virtual SendReceiveStatus OpalZrtp_UDP::OnSendControl | ( | RTP_ControlFrame & | frame,
|  | PINDEX & | len |
| ) |  |  | `[virtual]`

Reimplemented from RTP_Session.

virtual SendReceiveStatus OpalZrtp_UDP::OnReceiveControl | ( | RTP_ControlFrame & | frame | ) | `[virtual]`

Reimplemented from RTP_Session.

virtual DWORD OpalZrtp_UDP::GetOutgoingSSRC | ( |  | ) | `[virtual]`

## Member Data Documentation

zrtp_stream_ctx_t* OpalZrtp_UDP::zrtpStream

The documentation for this class was generated from the following file:

- zrtpudp.h